<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOftContinent ArrayType
 * @subpackage Arrays
 */
class ArrayOftContinent extends AbstractStructArrayBase
{
    /**
     * The tContinent
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\TContinent[]
     */
    public $tContinent;
    /**
     * Constructor method for ArrayOftContinent
     * @uses ArrayOftContinent::setTContinent()
     * @param \StructType\TContinent[] $tContinent
     */
    public function __construct(array $tContinent = array())
    {
        $this
            ->setTContinent($tContinent);
    }
    /**
     * Get tContinent value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\TContinent[]|null
     */
    public function getTContinent()
    {
        return isset($this->tContinent) ? $this->tContinent : null;
    }
    /**
     * This method is responsible for validating the values passed to the setTContinent method
     * This method is willingly generated in order to preserve the one-line inline validation within the setTContinent method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateTContinentForArrayConstraintsFromSetTContinent(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOftContinentTContinentItem) {
            // validation for constraint: itemType
            if (!$arrayOftContinentTContinentItem instanceof \StructType\TContinent) {
                $invalidValues[] = is_object($arrayOftContinentTContinentItem) ? get_class($arrayOftContinentTContinentItem) : sprintf('%s(%s)', gettype($arrayOftContinentTContinentItem), var_export($arrayOftContinentTContinentItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The tContinent property can only contain items of type \StructType\TContinent, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set tContinent value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\TContinent[] $tContinent
     * @return \ArrayType\ArrayOftContinent
     */
    public function setTContinent(array $tContinent = array())
    {
        // validation for constraint: array
        if ('' !== ($tContinentArrayErrorMessage = self::validateTContinentForArrayConstraintsFromSetTContinent($tContinent))) {
            throw new \InvalidArgumentException($tContinentArrayErrorMessage, __LINE__);
        }
        if (is_null($tContinent) || (is_array($tContinent) && empty($tContinent))) {
            unset($this->tContinent);
        } else {
            $this->tContinent = $tContinent;
        }
        return $this;
    }
    /**
     * Add item to tContinent value
     * @throws \InvalidArgumentException
     * @param \StructType\TContinent $item
     * @return \ArrayType\ArrayOftContinent
     */
    public function addToTContinent(\StructType\TContinent $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\TContinent) {
            throw new \InvalidArgumentException(sprintf('The tContinent property can only contain items of type \StructType\TContinent, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->tContinent[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\TContinent|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\TContinent|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\TContinent|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\TContinent|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\TContinent|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string tContinent
     */
    public function getAttributeName()
    {
        return 'tContinent';
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructArrayBase::__set_state()
     * @uses AbstractStructArrayBase::__set_state()
     * @param array $array the exported values
     * @return \ArrayType\ArrayOftContinent
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
