<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOftCountryInfo ArrayType
 * @subpackage Arrays
 */
class ArrayOftCountryInfo extends AbstractStructArrayBase
{
    /**
     * The tCountryInfo
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\TCountryInfo[]
     */
    public $tCountryInfo;
    /**
     * Constructor method for ArrayOftCountryInfo
     * @uses ArrayOftCountryInfo::setTCountryInfo()
     * @param \StructType\TCountryInfo[] $tCountryInfo
     */
    public function __construct(array $tCountryInfo = array())
    {
        $this
            ->setTCountryInfo($tCountryInfo);
    }
    /**
     * Get tCountryInfo value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\TCountryInfo[]|null
     */
    public function getTCountryInfo()
    {
        return isset($this->tCountryInfo) ? $this->tCountryInfo : null;
    }
    /**
     * This method is responsible for validating the values passed to the setTCountryInfo method
     * This method is willingly generated in order to preserve the one-line inline validation within the setTCountryInfo method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateTCountryInfoForArrayConstraintsFromSetTCountryInfo(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOftCountryInfoTCountryInfoItem) {
            // validation for constraint: itemType
            if (!$arrayOftCountryInfoTCountryInfoItem instanceof \StructType\TCountryInfo) {
                $invalidValues[] = is_object($arrayOftCountryInfoTCountryInfoItem) ? get_class($arrayOftCountryInfoTCountryInfoItem) : sprintf('%s(%s)', gettype($arrayOftCountryInfoTCountryInfoItem), var_export($arrayOftCountryInfoTCountryInfoItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The tCountryInfo property can only contain items of type \StructType\TCountryInfo, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set tCountryInfo value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\TCountryInfo[] $tCountryInfo
     * @return \ArrayType\ArrayOftCountryInfo
     */
    public function setTCountryInfo(array $tCountryInfo = array())
    {
        // validation for constraint: array
        if ('' !== ($tCountryInfoArrayErrorMessage = self::validateTCountryInfoForArrayConstraintsFromSetTCountryInfo($tCountryInfo))) {
            throw new \InvalidArgumentException($tCountryInfoArrayErrorMessage, __LINE__);
        }
        if (is_null($tCountryInfo) || (is_array($tCountryInfo) && empty($tCountryInfo))) {
            unset($this->tCountryInfo);
        } else {
            $this->tCountryInfo = $tCountryInfo;
        }
        return $this;
    }
    /**
     * Add item to tCountryInfo value
     * @throws \InvalidArgumentException
     * @param \StructType\TCountryInfo $item
     * @return \ArrayType\ArrayOftCountryInfo
     */
    public function addToTCountryInfo(\StructType\TCountryInfo $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\TCountryInfo) {
            throw new \InvalidArgumentException(sprintf('The tCountryInfo property can only contain items of type \StructType\TCountryInfo, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->tCountryInfo[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\TCountryInfo|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\TCountryInfo|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\TCountryInfo|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\TCountryInfo|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\TCountryInfo|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string tCountryInfo
     */
    public function getAttributeName()
    {
        return 'tCountryInfo';
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructArrayBase::__set_state()
     * @uses AbstractStructArrayBase::__set_state()
     * @param array $array the exported values
     * @return \ArrayType\ArrayOftCountryInfo
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
