<?php
/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'tContinent' => '\\StructType\\TContinent',
            'tCurrency' => '\\StructType\\TCurrency',
            'tCountryCodeAndName' => '\\StructType\\TCountryCodeAndName',
            'tCountryCodeAndNameGroupedByContinent' => '\\StructType\\TCountryCodeAndNameGroupedByContinent',
            'tCountryInfo' => '\\StructType\\TCountryInfo',
            'tLanguage' => '\\StructType\\TLanguage',
            'ArrayOftCountryCodeAndName' => '\\ArrayType\\ArrayOftCountryCodeAndName',
            'ArrayOftLanguage' => '\\ArrayType\\ArrayOftLanguage',
            'ArrayOftContinent' => '\\ArrayType\\ArrayOftContinent',
            'ArrayOftCurrency' => '\\ArrayType\\ArrayOftCurrency',
            'ArrayOftCountryCodeAndNameGroupedByContinent' => '\\ArrayType\\ArrayOftCountryCodeAndNameGroupedByContinent',
            'ArrayOftCountryInfo' => '\\ArrayType\\ArrayOftCountryInfo',
            'ListOfContinentsByName' => '\\StructType\\ListOfContinentsByName',
            'ListOfContinentsByNameResponse' => '\\StructType\\ListOfContinentsByNameResponse',
            'ListOfContinentsByCode' => '\\StructType\\ListOfContinentsByCode',
            'ListOfContinentsByCodeResponse' => '\\StructType\\ListOfContinentsByCodeResponse',
            'ListOfCurrenciesByName' => '\\StructType\\ListOfCurrenciesByName',
            'ListOfCurrenciesByNameResponse' => '\\StructType\\ListOfCurrenciesByNameResponse',
            'ListOfCurrenciesByCode' => '\\StructType\\ListOfCurrenciesByCode',
            'ListOfCurrenciesByCodeResponse' => '\\StructType\\ListOfCurrenciesByCodeResponse',
            'CurrencyName' => '\\StructType\\CurrencyName',
            'CurrencyNameResponse' => '\\StructType\\CurrencyNameResponse',
            'ListOfCountryNamesByCode' => '\\StructType\\ListOfCountryNamesByCode',
            'ListOfCountryNamesByCodeResponse' => '\\StructType\\ListOfCountryNamesByCodeResponse',
            'ListOfCountryNamesByName' => '\\StructType\\ListOfCountryNamesByName',
            'ListOfCountryNamesByNameResponse' => '\\StructType\\ListOfCountryNamesByNameResponse',
            'ListOfCountryNamesGroupedByContinent' => '\\StructType\\ListOfCountryNamesGroupedByContinent',
            'ListOfCountryNamesGroupedByContinentResponse' => '\\StructType\\ListOfCountryNamesGroupedByContinentResponse',
            'CountryName' => '\\StructType\\CountryName',
            'CountryNameResponse' => '\\StructType\\CountryNameResponse',
            'CountryISOCode' => '\\StructType\\CountryISOCode',
            'CountryISOCodeResponse' => '\\StructType\\CountryISOCodeResponse',
            'CapitalCity' => '\\StructType\\CapitalCity',
            'CapitalCityResponse' => '\\StructType\\CapitalCityResponse',
            'CountryCurrency' => '\\StructType\\CountryCurrency',
            'CountryCurrencyResponse' => '\\StructType\\CountryCurrencyResponse',
            'CountryFlag' => '\\StructType\\CountryFlag',
            'CountryFlagResponse' => '\\StructType\\CountryFlagResponse',
            'CountryIntPhoneCode' => '\\StructType\\CountryIntPhoneCode',
            'CountryIntPhoneCodeResponse' => '\\StructType\\CountryIntPhoneCodeResponse',
            'FullCountryInfo' => '\\StructType\\FullCountryInfo',
            'FullCountryInfoResponse' => '\\StructType\\FullCountryInfoResponse',
            'FullCountryInfoAllCountries' => '\\StructType\\FullCountryInfoAllCountries',
            'FullCountryInfoAllCountriesResponse' => '\\StructType\\FullCountryInfoAllCountriesResponse',
            'CountriesUsingCurrency' => '\\StructType\\CountriesUsingCurrency',
            'CountriesUsingCurrencyResponse' => '\\StructType\\CountriesUsingCurrencyResponse',
            'ListOfLanguagesByName' => '\\StructType\\ListOfLanguagesByName',
            'ListOfLanguagesByNameResponse' => '\\StructType\\ListOfLanguagesByNameResponse',
            'ListOfLanguagesByCode' => '\\StructType\\ListOfLanguagesByCode',
            'ListOfLanguagesByCodeResponse' => '\\StructType\\ListOfLanguagesByCodeResponse',
            'LanguageName' => '\\StructType\\LanguageName',
            'LanguageNameResponse' => '\\StructType\\LanguageNameResponse',
            'LanguageISOCode' => '\\StructType\\LanguageISOCode',
            'LanguageISOCodeResponse' => '\\StructType\\LanguageISOCodeResponse',
        );
    }
}
