<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CountriesUsingCurrency StructType
 * @subpackage Structs
 */
class CountriesUsingCurrency extends AbstractStructBase
{
    /**
     * The sISOCurrencyCode
     * @var string
     */
    public $sISOCurrencyCode;
    /**
     * Constructor method for CountriesUsingCurrency
     * @uses CountriesUsingCurrency::setSISOCurrencyCode()
     * @param string $sISOCurrencyCode
     */
    public function __construct($sISOCurrencyCode = null)
    {
        $this
            ->setSISOCurrencyCode($sISOCurrencyCode);
    }
    /**
     * Get sISOCurrencyCode value
     * @return string|null
     */
    public function getSISOCurrencyCode()
    {
        return $this->sISOCurrencyCode;
    }
    /**
     * Set sISOCurrencyCode value
     * @param string $sISOCurrencyCode
     * @return \StructType\CountriesUsingCurrency
     */
    public function setSISOCurrencyCode($sISOCurrencyCode = null)
    {
        // validation for constraint: string
        if (!is_null($sISOCurrencyCode) && !is_string($sISOCurrencyCode)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($sISOCurrencyCode, true), gettype($sISOCurrencyCode)), __LINE__);
        }
        $this->sISOCurrencyCode = $sISOCurrencyCode;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\CountriesUsingCurrency
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
